<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/ts/common-elements/KaTeX-js/KaTeX-js.html">
<link rel="import" href="/ts/common-elements/KaTeX-js/KaTeX-styles.html">

<!--
`math-equation` renders LaTeX, MathML, and AsciiMath notation into a math equation.

Example:

    <math-equation test="test"></math-equation>

@demo demo/index.html
-->
<dom-module id="math-equation">
  <template>
    <style include="katex-styles"></style>
    <style>
      :host {
        display: block;
      }
      :host([inline]) {
        display: inline-block;
      }
      #contentcontainer {
        display: none;
      }
    </style>

    <div id="contentcontainer">
      <content></content>
    </div>
    <span id="result"></span>

  </template>
  <script src="javascript/math-equation-min.js?__inline=true"></script>
</dom-module>
